Update a filter view
PUT
/v1/filter_views/{id}
const url = 'https://api.adversarial.com/api/v1/filter_views/123e4567-e89b-12d3-a456-426614174000';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"filter":"example","name":"example","shared":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.adversarial.com/api/v1/filter_views/123e4567-e89b-12d3-a456-426614174000 \ --header 'Content-Type: application/json' \ --data '{ "filter": "example", "name": "example", "shared": true }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
The filter view ID
Example
123e4567-e89b-12d3-a456-426614174000Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
filter
name
string | null
shared
Toggle whether this view is shared with the owner’s organization.
boolean | null
Examplegenerated
{ "filter": "example", "name": "example", "shared": true}Responses
Section titled “Responses”Filter view updated
Media typeapplication/json
object
filter
required
object
filtered_table
required
string
id
required
string format: uuid
name
required
string
shared
required
Whether the owner has shared this view with their organization.
boolean
user_id
required
string format: uuid
Example
{ "filtered_table": "risks"}Filter view not found